Bug 1631910 - Firefox 62.0.2 is available
Summary: Firefox 62.0.2 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: rawhide
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-21 22:24 UTC by JayJayJazz
Modified: 2018-10-02 15:03 UTC (History)
13 users (show)

Fixed In Version: firefox-62.0.2-1.fc28 firefox-62.0.2-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-28 18:21:00 UTC
Type: Bug


Attachments (Terms of Use)
about:support information (12.11 KB, text/plain)
2018-10-01 11:41 UTC, JayJayJazz
no flags Details


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1490585 None None None 2019-12-02 09:17:17 UTC

Description JayJayJazz 2018-09-21 22:24:48 UTC
Description of problem:
Firefox 62.0.2 is available. Firefox 62.0 is available in the stable repos. 62.0.2 contains a Security Fix!

Version-Release number of selected component (if applicable):
62.0.2

Actual results:
Firefox 62.0 is available in the stable repos.

Expected results:
Firefox 62.0.2 should be available in the stable repos.

Additional info:
Security Fix:
https://www.mozilla.org/en-US/security/advisories/mfsa2018-22/
--> CVE-2018-12385

Release Notes:
- Unvisited bookmarks can once again be autofilled in the address bar (bug 1488879)
- WebGL rendering issues (bug 1489099)
- Updates from unpacked language packs no longer break the browser (bug 1488934)
- Fix fallback on startup when a language pack is missing (bug 1492459)
- Profile refresh from the Windows stub installer restarts the browser (bug 1491999)
- Properly restore window size and position when restarting on Windows (bugs 1489214 and 1489852)
- Avoid crash when sharing a profile with newer (as yet unreleased) versions of Firefox (bug 1490585)
- Do not undo removal of search engines when using a language pack (bug 1489820)
- Fixed rendering of some web sites (bug 1421885)
- Restored compatibility with some sites using deprecated TLS settings (bug 1487517)
- Fix screen share on MacOS when using multiple monitors (bug 1487419)
- Various security fixes

Comment 1 samoht0 2018-09-22 16:07:38 UTC
(In reply to JayJayJazz from comment #0)
> Description of problem:
> Firefox 62.0.2 is available. Firefox 62.0 is available in the stable repos.
> 62.0.2 contains a Security Fix!

Thanks for reporting. Minor updates with security fixes are easily missed.

Comment 2 Fedora Update System 2018-09-26 12:10:33 UTC
firefox-62.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5f88837c1b

Comment 3 Fedora Update System 2018-09-26 12:10:47 UTC
firefox-62.0.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d64cb04921

Comment 4 JayJayJazz 2018-09-26 12:39:05 UTC
Martin is building right now: firefox-62.0.2-3

Comment 5 Martin Stransky 2018-09-26 12:54:40 UTC
(In reply to JayJayJazz from comment #4)
> Martin is building right now: firefox-62.0.2-3

That build can be released later as it contains some experimental stuff.

Comment 6 JayJayJazz 2018-09-27 08:59:00 UTC
(In reply to Martin Stransky from comment #5)
> (In reply to JayJayJazz from comment #4)
> > Martin is building right now: firefox-62.0.2-3
> 
> That build can be released later as it contains some experimental stuff.

Ok, thanks for the info. Do you need any feedback on this stuff?

Comment 7 Fedora Update System 2018-09-27 17:09:46 UTC
firefox-62.0.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5f88837c1b

Comment 8 Fedora Update System 2018-09-27 18:41:57 UTC
firefox-62.0.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d64cb04921

Comment 9 Fedora Update System 2018-09-28 18:21:00 UTC
firefox-62.0.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Martin Stransky 2018-10-01 06:48:01 UTC
(In reply to JayJayJazz from comment #6)
> (In reply to Martin Stransky from comment #5)
> > (In reply to JayJayJazz from comment #4)
> > > Martin is building right now: firefox-62.0.2-3
> > 
> > That build can be released later as it contains some experimental stuff.
> 
> Ok, thanks for the info. Do you need any feedback on this stuff?

Sure, you can check if the browser starts fine and also if remote works (open a new firefox window when there's already a running firefox instance).

Thanks.

Comment 11 JayJayJazz 2018-10-01 11:40:31 UTC
(In reply to Martin Stransky from comment #10)
> 
> Sure, you can check if the browser starts fine and also if remote works
> (open a new firefox window when there's already a running firefox instance).
> 
> Thanks.

I tested with a fully patched (stable repos) Fedora 28 (in this case: LXQT spin) and your firefox-62.0.2-3 from koji. Firefox is starting fine. Also new windows can be opened successfully, even when already an instance of Firefox is up and running.

Browing is also working fine. I will also add a small attachment, which contains the about:support information.

Comment 12 JayJayJazz 2018-10-01 11:41:06 UTC
Created attachment 1489026 [details]
about:support information

Comment 13 Fedora Update System 2018-10-02 15:03:05 UTC
firefox-62.0.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.